Android Question GoogleMaps error while compiling

ziotullio

Member
Licensed User
Hello everybody, I have downloaded the library and example files from this thread https://www.b4x.com/android/forum/threads/google-maps.63930/#post-404386, I followed all the instrunctions and replaced the "xxxx" key in the Manifest with my own legal Key then tried to compile but got this error:

B4A Versione: 10.0
Java Versione: 8
Analisi del Codice. (0.00s)
Building folders structure. (0.02s)
Compilazione del codice. (0.13s)
Compilazione del codice di layouts (0.02s)
Organizzazione Librerie. (0.00s)
(Android Support Library)
Generazione file R. Error
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:96: error: Attribute "alpha" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:101: error: Attribute "fontProviderAuthority" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:104: error: Attribute "fontProviderPackage" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:107: error: Attribute "fontProviderQuery" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:113: error: Attribute "fontProviderCerts" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:121: error: Attribute "fontProviderFetchStrategy" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:136: error: Attribute "fontProviderFetchTimeout" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:146: error: Attribute "fontStyle" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:152: error: Attribute "font" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:158: error: Attribute "fontWeight" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:163: error: Attribute "fontVariationSettings" has already been defined
c:\android\android-sdk\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:166: error: Attribute "ttcIndex" has already been defined

I don't know what to do - Any help will be appreciated.
 

MarcoRome

Expert
Licensed User
is very simple if you read:

by Erel
- Register your app in Google developer console: https://console.developers.google.com
You need to enable Google Maps Android API.
Then click on Credentials -> Create Credentials -> API Key -> Android Key.
You should get a key that looks like: AIzaSyCmFHamGE0O0BvxxxxxxxxXbTCSrjFVg-Q


Read and do
 
Upvote 0

oparra

Well-Known Member
Licensed User
check this:

android:minSdkVersion="14"
android:value="?????? YOU API KEY ?????"/>

NOTE:
Check B4A SDK Manager


B4X:
AddManifestText(
<uses-sdk android:minSdkVersion="14" android:targetSdkVersion="28"/>
<supports-screens android:largeScreens="true"
    android:normalScreens="true"
    android:smallScreens="true"
    android:anyDensity="true"/>)
SetApplicationAttribute(android:icon, "@drawable/icon")
SetApplicationAttribute(android:label, "$LABEL$")
'End of default text.
CreateResourceFromFile(Macro, FirebaseAnalytics.GooglePlayBase)

AddApplicationText(
<uses-library
      android:name="org.apache.http.legacy"
      android:required="false" />

<meta-data
  android:name="com.google.android.geo.API_KEY"
  android:value="?????? YOU API KEY ?????"/>
)


1596209026166.png


1596209521384.png
 
Last edited:
Upvote 0

ziotullio

Member
Licensed User
is very simple if you read:

by Erel



Read and do
Yes I did everything but got that error - No problem - I will try to fix it by myself - Thanks anyway
 
Upvote 0

MarcoRome

Expert
Licensed User
then you have
Java Versione: 8
do you have new SDK or same time that sdk ??

You have error but havent code or another things....
if you want heklp is important more information
Good luck
 
Upvote 0

ziotullio

Member
Licensed User
Ok solved. Uninstalled/removed everything (after doing a full backup!) and did a new installation from scratch. Now it seems everything is good.
 
Upvote 0
Top